//------------------------------------------------------------------------------
// <auto-generated>
//     Ce code a été généré à partir d'un modèle.
//
//     Des modifications manuelles apportées à ce fichier peuvent conduire à un comportement inattendu de votre application.
//     Les modifications manuelles apportées à ce fichier sont remplacées si le code est régénéré.
// </auto-generated>
//------------------------------------------------------------------------------

namespace FoodTruck.DATA
{
    using System;
    using System.Collections.Generic;
    
    public partial class Commande
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Commande()
        {
            this.Ligne_Commande = new HashSet<Ligne_Commande>();
        }
    
        public int id_Commande { get; set; }
        public System.DateTime dateCommande { get; set; }
        public string num_facture { get; set; }
        public double prix_total { get; set; }
        public Nullable<int> id_Adresse_facturation { get; set; }
        public Nullable<int> id_Adresse_livraison { get; set; }
        public Nullable<int> id_StatutCommande { get; set; }
        public Nullable<int> id_Utilisateur { get; set; }
    
        public virtual Adresse_facturation Adresse_facturation { get; set; }
        public virtual Adresse_livraison Adresse_livraison { get; set; }
        public virtual StatutCommande StatutCommande { get; set; }
        public virtual Utilisateur Utilisateur { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Ligne_Commande> Ligne_Commande { get; set; }
    }
}
